Freeciv-3.1: wl_editor Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
wl_editor Struct Reference

## Data Fields

struct widget * | begin_widget_list
struct widget * | end_widget_list
struct advanced_dialog * | targets
struct advanced_dialog * | work
struct advanced_dialog * | global
struct city * | pcity
int | global_worklist_id
struct worklist | worklist_copy
char | worklist_name [MAX_LEN_NAME]
struct widget * | dock
struct widget * | worklist_counter
struct widget * | production_name
struct widget * | production_progress
int | stock
struct universal | currently_building

## Detailed Description

Definition at line 66 of file wldlg.c.

## Field Documentation

## ◆ begin_widget_list

struct widget* wl_editor::begin_widget_list

Definition at line 67 of file wldlg.c.

## ◆ currently_building

struct universal wl_editor::currently_building

Definition at line 87 of file wldlg.c.

## ◆ dock

struct widget* wl_editor::dock

Definition at line 80 of file wldlg.c.

## ◆ end_widget_list

struct widget* wl_editor::end_widget_list

Definition at line 68 of file wldlg.c.

## ◆ global

struct advanced_dialog* wl_editor::global

Definition at line 72 of file wldlg.c.

## ◆ global_worklist_id

int wl_editor::global_worklist_id

Definition at line 75 of file wldlg.c.

## ◆ pcity

struct city* wl_editor::pcity

Definition at line 74 of file wldlg.c.

## ◆ production_name

struct widget* wl_editor::production_name

Definition at line 83 of file wldlg.c.

## ◆ production_progress

struct widget* wl_editor::production_progress

Definition at line 84 of file wldlg.c.

## ◆ stock

int wl_editor::stock

Definition at line 86 of file wldlg.c.

## ◆ targets

struct advanced_dialog* wl_editor::targets

Definition at line 70 of file wldlg.c.

## ◆ work

struct advanced_dialog* wl_editor::work

Definition at line 71 of file wldlg.c.

## ◆ worklist_copy

struct worklist wl_editor::worklist_copy

Definition at line 76 of file wldlg.c.

## ◆ worklist_counter

struct widget* wl_editor::worklist_counter

Definition at line 81 of file wldlg.c.

## ◆ worklist_name

char wl_editor::worklist_name[MAX_LEN_NAME]

Definition at line 77 of file wldlg.c.